%define genericname gdata

Name:           %{genericname}-java
Version:        1.28.0
Release:        1%{?dist}
Summary:        Client libraries to write Google Data API client applications in Java
Group:          Development/Libraries
License:        ASL 2.0
URL:            http://code.google.com/apis/gdata/clientlibs.html
Source0:        http://gdata-java-client.googlecode.com/files/%{genericname}-src.java-%{version}.java.zip
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:     java-devel >= 1:1.6.0
BuildRequires:     jpackage-utils
BuildRequires:     ant
BuildRequires:     classpathx-jaf classpathx-mail tomcat5-servlet-2.4-api
Requires:          java >= 1:1.6.0
Requires:          jpackage-utils

%description
The client library provides tools and an abstraction layer, letting you
easily construct queries and use response data without having to create
HTTP requests or process HTTP responses by hand. Each client library
provides classes that correspond to the elements and data types used by
the Google Data APIs. Each client library also provides extensions for
specific Google services that have Data APIs.


%package javadoc
Summary:           Javadocs for gdata
Group:             Documentation
Requires:          %name = %{version}-%{release}
Requires:          jpackage-utils

%description javadoc
gdata development documentation.


%prep
%setup -q -n gdata
pushd java

rm -rf lib/* classes doc

properties=build-src/build.properties
for jars in \
  "servlet servletapi5" \
  "mail javamail" \
  "activation activation"
do
  f=`echo $jars | gawk '{print $1;}'`
  g=`echo $jars | gawk '{print $2;}'`
  %{__sed} -i -e "/^${f}/s|=.*$|=`build-classpath ${g}`|" $properties
done

for i in `ls manifest/*.manifest`; do
  %{__sed} -i '/class-path/I d' $i
done

popd


%build
pushd java
ant -lib lib/%{genericname}-core-1.0.jar:lib/%{genericname}-client-1.0.jar -buildfile build-src.xml clean build

javadoc -classpath `build-classpath javamail`:/etc/alternatives/java_sdk_openjdk/lib/tools.jar -d doc `find src -name '*.java'`
popd


%install
#jars
pushd java
pushd lib
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}/%{genericname}
install -m644 *.jar $RPM_BUILD_ROOT%{_javadir}/%{genericname}
for i in `ls *.jar`; do
  x=`echo $i | tr -d [:digit:]`
  ln -s $i $RPM_BUILD_ROOT%{_javadir}/%{genericname}/${x%%-\.\.jar}.jar
done
popd

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{genericname}
cp -rp doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{genericname}
popd


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%dir %{_javadir}/%{genericname}
%{_javadir}/%{genericname}/%{genericname}-*.jar

%files javadoc
%defattr(-,root,root,-)
%dir %{_javadocdir}/%{genericname}
%{_javadocdir}/%{genericname}/*


%changelog
* Thu Dec 18 2008 Sandro Mathys <red at fedoraproject.org> - 1.28.0-1
- New version

* Thu Dec 18 2008 Sandro Mathys <red at fedoraproject.org> - 1.26.0-2
- The changes to the build.properties file are now applied with a for loop
and sed instead of a patch
- The paths to the 3rd-party libraries (i.e. currently only javamail.jar)
for the javadoc generation are now looked up with build-classpath instead of
being hardcoded

* Tue Dec 16 2008 Sandro Mathys <red at fedoraproject.org> - 1.26.0-1
- initial build (thanks Rudolf 'che' Kastl for the help)
